package temperature;

/**
 * Oggetto sommatore, consente di ottenere al somma di una serie didati float
 * @author Gianni
 */
public class Sommatore {
  /**
   * la somma dei dati ricevuti
   */
  private float somma;

  /**
   * Costruttore: inizializza somma
   */
  public Sommatore() {
    somma=0;
  }
  
  /**
   * Aggiorna la somma con un nuovo dato
   * @param dato il nuovo dato
   */
  public void aggiungi(float dato){
    somma+=dato;
  }
  
  /**
   * Getter del totale
   * @return la somma colcolata sui dati ricevuti
   */
  public float getSomma(){
    return somma;
  }
  
}
